import logging
import os

from grid5000 import Grid5000


logging.basicConfig(level=logging.DEBUG)


def get_job_consumption(job_id, gk, site):
    metrics = gk.sites[site].metrics
    job = gk.sites[site].jobs[job_id]
    # nodes as list : "cluster-number.site.grid5000.fr"
    nodes_dom = job.assigned_nodes
    # nodes as list : "cluster-number"
    nodes = map(lambda node_dom: node_dom.split('.')[0], nodes_dom)
    # nodes as string : "cluster-number,cluster-number,..."
    nodes_str = ','.join(nodes)

    start = job.started_at
    end = job.stopped_at
    kwargs = {
        "only": nodes_str,
        "resolution": 1,
        "from": start,
        "to": end
    }
    timeseries = metrics["power"].timeseries.list(**kwargs)
    return timeseries


conf_file = os.path.join(os.environ.get("HOME"), ".python-grid5000.yaml")
gk = Grid5000.from_yaml(conf_file)

timeseries = get_job_consumption("1092446", gk, "lyon")
print(timeseries)
